# coding: utf-8

"""
    Lingvanex B2B Api

    Lingvanex works via HTTPS requests. The URL of all requests starts with https://api-b2b.backenster.com/b1/api/v3/. In case of a protocol selection error and using HTTP, the request will be redirected to the address with the HTTPS protocol (status code 302). <br><br>Authentication of requests is done by adding the “Authorization” header with the following data format: Bearer The key can be created on the user control panel page https://lingvanex.com/account. Example: \"Authorization: Bearer <YOUR_API_KEY>\".  # noqa: E501

    OpenAPI spec version: 1.0.0
    Contact: info@lingvanex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class InlineResponse2001(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'err': 'str',
        'result': 'str',
        'cache_use': 'int',
        'source': 'str',
        '_from': 'str',
        'source_transliteration': 'str',
        'target_transliteration': 'str'
    }

    attribute_map = {
        'err': 'err',
        'result': 'result',
        'cache_use': 'cacheUse',
        'source': 'source',
        '_from': 'from',
        'source_transliteration': 'sourceTransliteration',
        'target_transliteration': 'targetTransliteration'
    }

    def __init__(self, err=None, result=None, cache_use=None, source=None, _from=None, source_transliteration=None, target_transliteration=None):  # noqa: E501
        """InlineResponse2001 - a model defined in Swagger"""  # noqa: E501

        self._err = None
        self._result = None
        self._cache_use = None
        self._source = None
        self.__from = None
        self._source_transliteration = None
        self._target_transliteration = None
        self.discriminator = None

        if err is not None:
            self.err = err
        if result is not None:
            self.result = result
        if cache_use is not None:
            self.cache_use = cache_use
        if source is not None:
            self.source = source
        if _from is not None:
            self._from = _from
        if source_transliteration is not None:
            self.source_transliteration = source_transliteration
        if target_transliteration is not None:
            self.target_transliteration = target_transliteration

    @property
    def err(self):
        """Gets the err of this InlineResponse2001.  # noqa: E501

        the text of the error. It is null if the response status is 200. Otherwise, it contains a string  # noqa: E501

        :return: The err of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self._err

    @err.setter
    def err(self, err):
        """Sets the err of this InlineResponse2001.

        the text of the error. It is null if the response status is 200. Otherwise, it contains a string  # noqa: E501

        :param err: The err of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self._err = err

    @property
    def result(self):
        """Gets the result of this InlineResponse2001.  # noqa: E501

        result of translation. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :return: The result of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self._result

    @result.setter
    def result(self, result):
        """Sets the result of this InlineResponse2001.

        result of translation. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :param result: The result of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self._result = result

    @property
    def cache_use(self):
        """Gets the cache_use of this InlineResponse2001.  # noqa: E501

        the number of letters translated using the Lingvanex service cache  # noqa: E501

        :return: The cache_use of this InlineResponse2001.  # noqa: E501
        :rtype: int
        """
        return self._cache_use

    @cache_use.setter
    def cache_use(self, cache_use):
        """Sets the cache_use of this InlineResponse2001.

        the number of letters translated using the Lingvanex service cache  # noqa: E501

        :param cache_use: The cache_use of this InlineResponse2001.  # noqa: E501
        :type: int
        """

        self._cache_use = cache_use

    @property
    def source(self):
        """Gets the source of this InlineResponse2001.  # noqa: E501

        source data for translation  # noqa: E501

        :return: The source of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self._source

    @source.setter
    def source(self, source):
        """Sets the source of this InlineResponse2001.

        source data for translation  # noqa: E501

        :param source: The source of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self._source = source

    @property
    def _from(self):
        """Gets the _from of this InlineResponse2001.  # noqa: E501

        code of the source language in the format “language code”. In the case of sending a translation of an array of strings with different language content, only the language of the first element of the array is returned  # noqa: E501

        :return: The _from of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self.__from

    @_from.setter
    def _from(self, _from):
        """Sets the _from of this InlineResponse2001.

        code of the source language in the format “language code”. In the case of sending a translation of an array of strings with different language content, only the language of the first element of the array is returned  # noqa: E501

        :param _from: The _from of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self.__from = _from

    @property
    def source_transliteration(self):
        """Gets the source_transliteration of this InlineResponse2001.  # noqa: E501

        transliteration of source data. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :return: The source_transliteration of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self._source_transliteration

    @source_transliteration.setter
    def source_transliteration(self, source_transliteration):
        """Sets the source_transliteration of this InlineResponse2001.

        transliteration of source data. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :param source_transliteration: The source_transliteration of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self._source_transliteration = source_transliteration

    @property
    def target_transliteration(self):
        """Gets the target_transliteration of this InlineResponse2001.  # noqa: E501

        transliteration results. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :return: The target_transliteration of this InlineResponse2001.  # noqa: E501
        :rtype: str
        """
        return self._target_transliteration

    @target_transliteration.setter
    def target_transliteration(self, target_transliteration):
        """Sets the target_transliteration of this InlineResponse2001.

        transliteration results. In the event that a line was sent to the translation, the result is also a string; if an array of strings, then we also get an array of strings  # noqa: E501

        :param target_transliteration: The target_transliteration of this InlineResponse2001.  # noqa: E501
        :type: str
        """

        self._target_transliteration = target_transliteration

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse2001, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse2001):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
