# coding: utf-8

"""
    Lingvanex B2B Api

    Lingvanex works via HTTPS requests. The URL of all requests starts with https://api-b2b.backenster.com/b1/api/v3/. In case of a protocol selection error and using HTTP, the request will be redirected to the address with the HTTPS protocol (status code 302). <br><br>Authentication of requests is done by adding the “Authorization” header with the following data format: Bearer The key can be created on the user control panel page https://lingvanex.com/account. Example: \"Authorization: Bearer <YOUR_API_KEY>\".  # noqa: E501

    OpenAPI spec version: 1.0.0
    Contact: info@lingvanex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class InlineResponse200Modes(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'value': 'bool',
        'genders': 'bool'
    }

    attribute_map = {
        'name': 'name',
        'value': 'value',
        'genders': 'genders'
    }

    def __init__(self, name=None, value=None, genders=None):  # noqa: E501
        """InlineResponse200Modes - a model defined in Swagger"""  # noqa: E501

        self._name = None
        self._value = None
        self._genders = None
        self.discriminator = None

        if name is not None:
            self.name = name
        if value is not None:
            self.value = value
        if genders is not None:
            self.genders = genders

    @property
    def name(self):
        """Gets the name of this InlineResponse200Modes.  # noqa: E501

        name of the function. Currently, only 4 functions are widely supported: “Speech synthesis“, “Image recognition“, “Translation“, “Speech recognition“  # noqa: E501

        :return: The name of this InlineResponse200Modes.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this InlineResponse200Modes.

        name of the function. Currently, only 4 functions are widely supported: “Speech synthesis“, “Image recognition“, “Translation“, “Speech recognition“  # noqa: E501

        :param name: The name of this InlineResponse200Modes.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def value(self):
        """Gets the value of this InlineResponse200Modes.  # noqa: E501

        logical value true or false, which shows the status of the function: on or off  # noqa: E501

        :return: The value of this InlineResponse200Modes.  # noqa: E501
        :rtype: bool
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this InlineResponse200Modes.

        logical value true or false, which shows the status of the function: on or off  # noqa: E501

        :param value: The value of this InlineResponse200Modes.  # noqa: E501
        :type: bool
        """

        self._value = value

    @property
    def genders(self):
        """Gets the genders of this InlineResponse200Modes.  # noqa: E501

        logical value true or false, which shows the ability to synthesize speech for both sexes. Displayed only for function “Speech synthesis“  # noqa: E501

        :return: The genders of this InlineResponse200Modes.  # noqa: E501
        :rtype: bool
        """
        return self._genders

    @genders.setter
    def genders(self, genders):
        """Sets the genders of this InlineResponse200Modes.

        logical value true or false, which shows the ability to synthesize speech for both sexes. Displayed only for function “Speech synthesis“  # noqa: E501

        :param genders: The genders of this InlineResponse200Modes.  # noqa: E501
        :type: bool
        """

        self._genders = genders

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse200Modes, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse200Modes):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
