# coding: utf-8

"""
    Lingvanex B2B Api

    Lingvanex works via HTTPS requests. The URL of all requests starts with https://api-b2b.backenster.com/b1/api/v3/. In case of a protocol selection error and using HTTP, the request will be redirected to the address with the HTTPS protocol (status code 302). <br><br>Authentication of requests is done by adding the “Authorization” header with the following data format: Bearer The key can be created on the user control panel page https://lingvanex.com/account. Example: \"Authorization: Bearer <YOUR_API_KEY>\".  # noqa: E501

    OpenAPI spec version: 1.0.0
    Contact: info@lingvanex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class InlineResponse200Result(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'full_code': 'str',
        'code_alpha_1': 'str',
        'english_name': 'str',
        'code_name': 'str',
        'flag_path': 'str',
        'test_word_for_syntezis': 'str',
        'modes': 'list[InlineResponse200Modes]'
    }

    attribute_map = {
        'full_code': 'full_code',
        'code_alpha_1': 'code_alpha_1',
        'english_name': 'englishName',
        'code_name': 'codeName',
        'flag_path': 'flagPath',
        'test_word_for_syntezis': 'testWordForSyntezis',
        'modes': 'modes'
    }

    def __init__(self, full_code=None, code_alpha_1=None, english_name=None, code_name=None, flag_path=None, test_word_for_syntezis=None, modes=None):  # noqa: E501
        """InlineResponse200Result - a model defined in Swagger"""  # noqa: E501

        self._full_code = None
        self._code_alpha_1 = None
        self._english_name = None
        self._code_name = None
        self._flag_path = None
        self._test_word_for_syntezis = None
        self._modes = None
        self.discriminator = None

        if full_code is not None:
            self.full_code = full_code
        if code_alpha_1 is not None:
            self.code_alpha_1 = code_alpha_1
        if english_name is not None:
            self.english_name = english_name
        if code_name is not None:
            self.code_name = code_name
        if flag_path is not None:
            self.flag_path = flag_path
        if test_word_for_syntezis is not None:
            self.test_word_for_syntezis = test_word_for_syntezis
        if modes is not None:
            self.modes = modes

    @property
    def full_code(self):
        """Gets the full_code of this InlineResponse200Result.  # noqa: E501

        the language code in the format “language code_code of the country”  # noqa: E501

        :return: The full_code of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._full_code

    @full_code.setter
    def full_code(self, full_code):
        """Sets the full_code of this InlineResponse200Result.

        the language code in the format “language code_code of the country”  # noqa: E501

        :param full_code: The full_code of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._full_code = full_code

    @property
    def code_alpha_1(self):
        """Gets the code_alpha_1 of this InlineResponse200Result.  # noqa: E501

        the language code in the “language code” format  # noqa: E501

        :return: The code_alpha_1 of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._code_alpha_1

    @code_alpha_1.setter
    def code_alpha_1(self, code_alpha_1):
        """Sets the code_alpha_1 of this InlineResponse200Result.

        the language code in the “language code” format  # noqa: E501

        :param code_alpha_1: The code_alpha_1 of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._code_alpha_1 = code_alpha_1

    @property
    def english_name(self):
        """Gets the english_name of this InlineResponse200Result.  # noqa: E501

        English name of the language  # noqa: E501

        :return: The english_name of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._english_name

    @english_name.setter
    def english_name(self, english_name):
        """Sets the english_name of this InlineResponse200Result.

        English name of the language  # noqa: E501

        :param english_name: The english_name of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._english_name = english_name

    @property
    def code_name(self):
        """Gets the code_name of this InlineResponse200Result.  # noqa: E501

        the language name translated using the language specified by the query parameter “code”  # noqa: E501

        :return: The code_name of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._code_name

    @code_name.setter
    def code_name(self, code_name):
        """Sets the code_name of this InlineResponse200Result.

        the language name translated using the language specified by the query parameter “code”  # noqa: E501

        :param code_name: The code_name of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._code_name = code_name

    @property
    def flag_path(self):
        """Gets the flag_path of this InlineResponse200Result.  # noqa: E501

        the relative address of which is the image of the country flag. Example static/flags/afrikaans. The full address for downloading the flag will be https://backenster.com/v2/static/flags/afrikaans.png. In order to download flags in increased resolutions, you should add to this parameter: @2x or @3x (example https://backenster.com/v2/static/flags/afrikaans@2x.png or  https://backenster.com/v2/static/flags/afrikaans@3x.png)  # noqa: E501

        :return: The flag_path of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._flag_path

    @flag_path.setter
    def flag_path(self, flag_path):
        """Sets the flag_path of this InlineResponse200Result.

        the relative address of which is the image of the country flag. Example static/flags/afrikaans. The full address for downloading the flag will be https://backenster.com/v2/static/flags/afrikaans.png. In order to download flags in increased resolutions, you should add to this parameter: @2x or @3x (example https://backenster.com/v2/static/flags/afrikaans@2x.png or  https://backenster.com/v2/static/flags/afrikaans@3x.png)  # noqa: E501

        :param flag_path: The flag_path of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._flag_path = flag_path

    @property
    def test_word_for_syntezis(self):
        """Gets the test_word_for_syntezis of this InlineResponse200Result.  # noqa: E501

        a word for testing a speech synthesizer  # noqa: E501

        :return: The test_word_for_syntezis of this InlineResponse200Result.  # noqa: E501
        :rtype: str
        """
        return self._test_word_for_syntezis

    @test_word_for_syntezis.setter
    def test_word_for_syntezis(self, test_word_for_syntezis):
        """Sets the test_word_for_syntezis of this InlineResponse200Result.

        a word for testing a speech synthesizer  # noqa: E501

        :param test_word_for_syntezis: The test_word_for_syntezis of this InlineResponse200Result.  # noqa: E501
        :type: str
        """

        self._test_word_for_syntezis = test_word_for_syntezis

    @property
    def modes(self):
        """Gets the modes of this InlineResponse200Result.  # noqa: E501

        an array of objects, each of which is a description of the function that is supported in the given language  # noqa: E501

        :return: The modes of this InlineResponse200Result.  # noqa: E501
        :rtype: list[InlineResponse200Modes]
        """
        return self._modes

    @modes.setter
    def modes(self, modes):
        """Sets the modes of this InlineResponse200Result.

        an array of objects, each of which is a description of the function that is supported in the given language  # noqa: E501

        :param modes: The modes of this InlineResponse200Result.  # noqa: E501
        :type: list[InlineResponse200Modes]
        """

        self._modes = modes

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse200Result, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse200Result):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
