# coding: utf-8

"""
    Lingvanex B2B Api

    Lingvanex works via HTTPS requests. The URL of all requests starts with https://api-b2b.backenster.com/b1/api/v3/. In case of a protocol selection error and using HTTP, the request will be redirected to the address with the HTTPS protocol (status code 302). <br><br>Authentication of requests is done by adding the “Authorization” header with the following data format: Bearer The key can be created on the user control panel page https://lingvanex.com/account. Example: \"Authorization: Bearer <YOUR_API_KEY>\".  # noqa: E501

    OpenAPI spec version: 1.0.0
    Contact: info@lingvanex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class Request(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        '_from': 'str',
        'to': 'str',
        'data': 'str',
        'platform': 'str',
        'translate_mode': 'str'
    }

    attribute_map = {
        '_from': 'from',
        'to': 'to',
        'data': 'data',
        'platform': 'platform',
        'translate_mode': 'translateMode'
    }

    def __init__(self, _from=None, to=None, data=None, platform=None, translate_mode=None):  # noqa: E501
        """Request - a model defined in Swagger"""  # noqa: E501

        self.__from = None
        self._to = None
        self._data = None
        self._platform = None
        self._translate_mode = None
        self.discriminator = None

        if _from is not None:
            self._from = _from
        self.to = to
        self.data = data
        self.platform = platform
        if translate_mode is not None:
            self.translate_mode = translate_mode

    @property
    def _from(self):
        """Gets the _from of this Request.  # noqa: E501

        the language code in the format “language code_code of the country” from which the text is translated. The language code is represented only in lowercase letters, the country code only in uppercase letters (example en_GB, es_ES, ru_RU and etc.). If this parameter is not present, the auto-detect language mode is enabled  # noqa: E501

        :return: The _from of this Request.  # noqa: E501
        :rtype: str
        """
        return self.__from

    @_from.setter
    def _from(self, _from):
        """Sets the _from of this Request.

        the language code in the format “language code_code of the country” from which the text is translated. The language code is represented only in lowercase letters, the country code only in uppercase letters (example en_GB, es_ES, ru_RU and etc.). If this parameter is not present, the auto-detect language mode is enabled  # noqa: E501

        :param _from: The _from of this Request.  # noqa: E501
        :type: str
        """

        self.__from = _from

    @property
    def to(self):
        """Gets the to of this Request.  # noqa: E501

        language code in the format “language code_code of the country” to which the text is translated (required)  # noqa: E501

        :return: The to of this Request.  # noqa: E501
        :rtype: str
        """
        return self._to

    @to.setter
    def to(self, to):
        """Sets the to of this Request.

        language code in the format “language code_code of the country” to which the text is translated (required)  # noqa: E501

        :param to: The to of this Request.  # noqa: E501
        :type: str
        """
        if to is None:
            raise ValueError("Invalid value for `to`, must not be `None`")  # noqa: E501

        self._to = to

    @property
    def data(self):
        """Gets the data of this Request.  # noqa: E501

        data for translation (required). Two types of data are supported: a string and an array of strings  # noqa: E501

        :return: The data of this Request.  # noqa: E501
        :rtype: str
        """
        return self._data

    @data.setter
    def data(self, data):
        """Sets the data of this Request.

        data for translation (required). Two types of data are supported: a string and an array of strings  # noqa: E501

        :param data: The data of this Request.  # noqa: E501
        :type: str
        """
        if data is None:
            raise ValueError("Invalid value for `data`, must not be `None`")  # noqa: E501

        self._data = data

    @property
    def platform(self):
        """Gets the platform of this Request.  # noqa: E501

        api  # noqa: E501

        :return: The platform of this Request.  # noqa: E501
        :rtype: str
        """
        return self._platform

    @platform.setter
    def platform(self, platform):
        """Sets the platform of this Request.

        api  # noqa: E501

        :param platform: The platform of this Request.  # noqa: E501
        :type: str
        """
        if platform is None:
            raise ValueError("Invalid value for `platform`, must not be `None`")  # noqa: E501

        self._platform = platform

    @property
    def translate_mode(self):
        """Gets the translate_mode of this Request.  # noqa: E501

        Describe the input text format. Possible value is \"html\" for  translating and preserving html structure. If value is not  specified or is other than \"html\" than plain text is translating.    # noqa: E501

        :return: The translate_mode of this Request.  # noqa: E501
        :rtype: str
        """
        return self._translate_mode

    @translate_mode.setter
    def translate_mode(self, translate_mode):
        """Sets the translate_mode of this Request.

        Describe the input text format. Possible value is \"html\" for  translating and preserving html structure. If value is not  specified or is other than \"html\" than plain text is translating.    # noqa: E501

        :param translate_mode: The translate_mode of this Request.  # noqa: E501
        :type: str
        """
        allowed_values = ["html"]  # noqa: E501
        if translate_mode not in allowed_values:
            raise ValueError(
                "Invalid value for `translate_mode` ({0}), must be one of {1}"  # noqa: E501
                .format(translate_mode, allowed_values)
            )

        self._translate_mode = translate_mode

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Request, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Request):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
